
/*
 *  :
 *
 * 1.0     08  2008      .
 */

package spnxsdkexample;

import spnxsdk.SpnxReader;

/**
 *     .
 */
public class Example
{

    /**
     *  .
     */
    public static void main( String argv[] )
    {
        SpnxReader reader = null;
        byte keyBuffer[] = new byte[3];

        //  

        reader = SpnxReader.open();

        if ( reader==null )
        {
            System.out.println( "Unable to open the reader. Device is probably disconnected, disabled or driver is not installed." );
            return;
        }

        //        .

        for(;;)
        {
            if ( reader.receiveW26(keyBuffer) != true )
            {
                //  . ,    USB.
                System.out.println( "Communication error. Device is probably disconnected." );
                return;
            }
        
            int a = keyBuffer[0]&0xFF;
            int b = keyBuffer[1]&0xFF;
            int c = keyBuffer[2]&0xFF;

            System.out.println( String.format("%03d,%05d", a, b*0x100+c) );
        }
    
    } // main

}

